{
    attributes = (
        {
            columnName = "DPP_DATE_FACTURE"; 
            externalType = DATE; 
            name = dppDateFacture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "DPP_DATE_RECEPTION"; 
            externalType = DATE; 
            name = dppDateReception; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "DPP_DATE_SAISIE"; 
            externalType = DATE; 
            name = dppDateSaisie; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "DPP_DATE_SERVICE_FAIT"; 
            externalType = DATE; 
            name = dppDateServiceFait; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "DPP_HT_INITIAL"; 
            externalType = NUMBER; 
            name = dppHtInitial; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DPP_HT_SAISIE"; 
            externalType = NUMBER; 
            name = dppHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DPP_ID"; 
            externalType = NUMBER; 
            name = dppId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DPP_ID_REVERSEMENT"; 
            externalType = NUMBER; 
            name = dppIdReversement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DPP_NB_PIECE"; 
            externalType = NUMBER; 
            name = dppNbPiece; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DPP_NUMERO_FACTURE"; 
            externalType = VARCHAR2; 
            name = dppNumeroFacture; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "DPP_TTC_INITIAL"; 
            externalType = NUMBER; 
            name = dppTtcInitial; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DPP_TTC_SAISIE"; 
            externalType = NUMBER; 
            name = dppTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DPP_TVA_INITIAL"; 
            externalType = NUMBER; 
            name = dppTvaInitial; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DPP_TVA_SAISIE"; 
            externalType = NUMBER; 
            name = dppTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            name = fouOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MOD_ORDRE"; 
            externalType = NUMBER; 
            name = modOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RIB_ORDRE"; 
            externalType = NUMBER; 
            name = ribOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        dppId, 
        dppIdReversement, 
        dppNbPiece, 
        dppNumeroFacture, 
        exeOrdre, 
        fouOrdre, 
        modOrdre, 
        ribOrdre, 
        utlOrdre
    ); 
    className = "org.cocktail.kaki.server.metier.EODepensePapier"; 
    classProperties = (
        dppDateFacture, 
        dppDateReception, 
        dppDateSaisie, 
        dppDateServiceFait, 
        dppHtInitial, 
        dppHtSaisie, 
        dppId, 
        dppIdReversement, 
        dppNbPiece, 
        dppNumeroFacture, 
        dppTtcInitial, 
        dppTtcSaisie, 
        dppTvaInitial, 
        dppTvaSaisie, 
        exeOrdre, 
        fouOrdre, 
        ribOrdre, 
        toModePaiement, 
        utlOrdre
    ); 
    externalName = "JEFY_DEPENSE.DEPENSE_PAPIER"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dppDateFacture, 
            dppDateReception, 
            dppDateSaisie, 
            dppDateServiceFait, 
            dppHtInitial, 
            dppHtSaisie, 
            dppId, 
            dppIdReversement, 
            dppNbPiece, 
            dppNumeroFacture, 
            dppTtcInitial, 
            dppTtcSaisie, 
            dppTvaInitial, 
            dppTvaSaisie, 
            exeOrdre, 
            fouOrdre, 
            ribOrdre, 
            toModePaiement, 
            utlOrdre
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EODepensePapier"; 
    }; 
    name = DepensePapier; 
    primaryKeyAttributes = (dppId); 
    relationships = (
        {
            destination = "ca_ModePaiement"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = modOrdre; sourceAttribute = modOrdre; }); 
            name = toModePaiement; 
        }
    ); 
}
